\def\vthree(#1,#2,#3,#4,#5){
  \node[draw,fill=yellow,circle,inner sep=1pt](#3) at (#1,#2) {};
  \node[draw,fill=blue,circle,inner sep=1pt](#4) at (#1,#2-.3) {};
  \node[draw,fill=red,circle,inner sep=1pt](#5) at (#1,#2-.6) {};
  \draw (#1,#2-.3) ellipse (.2 and .4);
}
\def\hthree(#1,#2,#3,#4,#5){
  \node[draw,fill=yellow,circle,inner sep=1pt](#5) at (#1-.6,#2) {};
  \node[draw,fill=blue,circle,inner sep=1pt](#4) at (#1-.3,#2) {};
  \node[draw,fill=red,circle,inner sep=1pt](#3) at (#1,#2) {};
  \draw (#1-.3,#2) ellipse (.4 and .2);
}
\def\vtwo(#1,#2,#3,#4){
  \node[draw,fill=yellow,circle,inner sep=1pt](#3) at (#1,#2) {};
  \node[draw,fill=blue,circle,inner sep=1pt](#4) at (#1,#2-.4) {};

  \draw (#1,#2-.2) ellipse (.2 and .3);
}
\def\htwo(#1,#2,#3,#4){
  \node[draw,fill=yellow,circle,inner sep=1pt](#4) at (#1-.4,#2) {};
  \node[draw,fill=blue,circle,inner sep=1pt](#3) at (#1,#2) {};
  \draw (#1-.2,#2) ellipse (.3 and .2);
}